
Redmine - Defect #13440

Copy multiple issues faild

2013-03-12 12:08 - alain Spriet

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have the following error message when I copy two issues at the same time : #377 and #378 :  Failed to save 2 issue(s) on 2

selected: #, #.

I found nothing in log file : production.log

I use the same share version in both projects.

If I copy only issue #377 it works fine, If I copy only issue #378 it works fine also.

I have also a “task” tracker and copy multiple issues is works fine

Version description :

Environment:

Redmine version                          2.3.0.devel

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.12

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

rhodecode_repo                           1.1.1

Associated revisions

Revision 11611 - 2013-03-12 20:43 - Jean-Philippe Lang

Log errors when bulk edit/copy fails (#13440).

History

#1 - 2013-03-12 15:29 - Jan Niggemann (redmine.org team member)

- Category set to Issues

- Status changed from New to Needs feedback

- Priority changed from High to Normal

- Affected version (unused) set to devel

Does this happen when you click 'copy', or when you save the data afterwards?

#2 - 2013-03-12 20:45 - Jean-Philippe Lang

Errors should now be logged after r11611. Could you update and retry then post the validation errors?

#3 - 2013-03-13 14:35 - alain Spriet

The error happens after these actions :

select two issues in project "training"

click right mouse then select copy

modified the project to "test"

click on copy, then the error message arrive

we install the release ; 2.3.0.devl on the trunck

Environment:
https://www.redmine.org/issues/377
https://www.redmine.org/issues/378
https://www.redmine.org/issues/377
https://www.redmine.org/issues/378
https://www.redmine.org/projects/redmine/repository/svn/revisions/11611


Redmine version                          2.3.0.devel.11621

Ruby version                             1.8.7 (x86_64-linux)

Rails version                            3.2.12

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

rhodecode_repo                           1.1.1

#4 - 2013-03-13 23:26 - Mischa The Evil

alain Spriet wrote:

[...]

 Please post the validation errors like J-PL requested...

#5 - 2013-03-14 10:21 - alain Spriet

I see in production.log : *issue could not be updated or copied: Criticality can't be blank

The criticality is a custom field required but in the initial issue( #377) the criticality is set.

if I modified the criticality before copy I can copied the issue.

If i selected only one issue the copy works fine without modified the criticality before copy. I have the error only if i selected multiple issues without

modified custom field required.
